<?php
// $Id: formselectlang.php,v 1.3 2003/03/19 06:57:49 half-dead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: Kazumi Ono
// Author Website : http://www.mywebaddons.com/ , http://www.myweb.ne.jp
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //
if (!defined("EXOOPS_XOOPSFORMSELECTLANG_INCLUDED")) {
	define("EXOOPS_XOOPSFORMSELECTLANG_INCLUDED", 1);
include_once(XOOPS_ROOT_PATH."/class/xoopslists.php");
include_once(XOOPS_ROOT_PATH."/class/xoopsform/formselect.php");
class XoopsFormSelectLang extends XoopsFormSelect {
	function XoopsFormSelectLang($caption, $name, $value="", $size=1) {
		$this->XoopsFormSelect($caption, $name, $value, $size);
		$this->addOptionArray(XoopsLists::getLangList());
	}
//---------------------------------------------------------------------------------------//
} // END CLASS
} // END DEFINED
?>
